/*
 created with FontEditor
 written by H. Reddmann
 HaReddmann at t-online dot de
 File Name           : nums.h
 Date                : 23.03.2004
 Font size in bytes  : 0x06CA
 Font width          : 26
 Font height         : 25
 Font bits per pixel : 2
 Font first char     : 0x20
 Font last char      : 0x2A
 Font used chars     : 11

 The font data are defined as

 struct _FONT_ {
   uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
   uint8_t    font_Width_in_Pixel_for_fixed_drawing;
   uint8_t    font_Height_in_Pixel_for_all_characters;
   uint8_t    font_Bits_per_Pixels;
   unit8_t    font_First_Char;
   uint8_t    font_Last_Char;
   uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
                // for each character the separate width in pixels,
                // characters < 128 have an implicit virtual right empty row
   unit8_t    font_data[];
                // bit field of all characters
*/

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef nums_H
#define nums_H

#define nums_WIDTH 26
#define nums_HEIGHT 25

static uint8_t __attribute__ ((progmem)) nums[] = {
    0x06, 0xCA, 0x1A, 0x19, 0x02, 0x20, 0x2A,
    0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 0x19, 

    0x00, 0x00, 0x54, 0x55, 0x00, 0x00, 0x00, 0x40, 0x55, 0x55, 0x55, 0x00, 0x00, 0x40, 0x95, 0xAA, 
    0x5A, 0x05, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 0x56, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 0x6A, 0x05, 0x40, 
    0xA5, 0xAA, 0xAA, 0xAA, 0x56, 0x40, 0xA5, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0xA5, 0xAA, 0xFF, 0xBF, 
    0xAA, 0x16, 0x94, 0xFA, 0xFF, 0xFF, 0xBF, 0x5A, 0x94, 0xFA, 0xAF, 0xAA, 0xFE, 0xAB, 0x55, 0xFA, 
    0xAB, 0xAA, 0xAA, 0xBF, 0x56, 0xE9, 0xAB, 0xAA, 0xAA, 0xFA, 0x5A, 0xA5, 0xAF, 0xAA, 0xAA, 0xEA, 
    0x6B, 0x95, 0xBE, 0xAA, 0xAA, 0xAA, 0xAF, 0x55, 0xFA, 0xAB, 0xAA, 0xAA, 0xBF, 0x56, 0xA9, 0xFF, 
    0xAA, 0xEA, 0xBF, 0x5A, 0x94, 0xFA, 0xFF, 0xFF, 0xBF, 0x5A, 0x50, 0xAA, 0xFA, 0xFF, 0xAB, 0x6A, 
    0x41, 0xA5, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x54, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x40, 0xA5, 0xAA, 
    0xAA, 0x6A, 0x05, 0x00, 0x54, 0xAA, 0xAA, 0x6A, 0x05, 0x00, 0x40, 0x95, 0xAA, 0x5A, 0x05, 0x00, 
    0x00, 0x54, 0x55, 0x55, 0x05, 0x00, 0x00, 0x00, 0x54, 0x55, 0x00, 0x00, 0x00, 0x00, 0x50, 0x55, 
    0x01, 0x00, 0x00, 0x00, 0x55, 0x55, 0x55, 0x01, 0x00, 0x00, 0x55, 0xAA, 0x6A, 0x15, 0x00, 0x00, 
    0x95, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 
    0x5A, 0x01, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0x15, 0x94, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x50, 0xAA, 
    0xAA, 0xAA, 0xAA, 0x6A, 0x51, 0xAA, 0xAB, 0xAA, 0xAA, 0xAA, 0x56, 0xA9, 0xAE, 0xAA, 0xAA, 0xAA, 
    0x5A, 0xA5, 0xBE, 0xAA, 0xAA, 0xAA, 0x6A, 0x95, 0xFA, 0xFF, 0xFF, 0xFF, 0xAB, 0x55, 0xEA, 0xFF, 
    0xFF, 0xFF, 0xAF, 0x56, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 
    0x51, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x41, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0x05, 0x95, 0xAA, 0xAA, 
    0xAA, 0xAA, 0x15, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 
    0x50, 0xA9, 0xAA, 0xAA, 0x15, 0x00, 0x00, 0x55, 0xAA, 0x6A, 0x15, 0x00, 0x00, 0x50, 0x55, 0x55, 
    0x15, 0x00, 0x00, 0x00, 0x50, 0x55, 0x01, 0x00, 0x00, 0x00, 0x40, 0x55, 0x05, 0x00, 0x00, 0x00, 
    0x54, 0x55, 0x55, 0x05, 0x00, 0x00, 0x54, 0xA9, 0xAA, 0x55, 0x00, 0x00, 0x54, 0xAA, 0xAA, 0x6A, 
    0x05, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x54, 0xAA, 
    0xAA, 0xAA, 0xAA, 0x56, 0x50, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x41, 0xE9, 0xAB, 0xAA, 0xEA, 0xAF, 
    0x45, 0xE9, 0xAB, 0xAA, 0xEA, 0xBF, 0x5A, 0xA5, 0xAF, 0xAA, 0xEA, 0xFF, 0x6A, 0x95, 0xBE, 0xAA, 
    0xEA, 0xEB, 0xAB, 0x55, 0xFA, 0xAA, 0xEA, 0xAB, 0xAF, 0x56, 0xE9, 0xAB, 0xEA, 0xAB, 0xBE, 0x5A, 
    0xA5, 0xBF, 0xEA, 0xAB, 0xFA, 0x6A, 0x95, 0xFA, 0xFF, 0xAB, 0xEA, 0xAB, 0x45, 0xA9, 0xFF, 0xAA, 
    0xAA, 0xAF, 0x05, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0x16, 0x54, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0x40, 
    0xA5, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 
    0x56, 0x00, 0x00, 0x54, 0xA9, 0xAA, 0x55, 0x00, 0x00, 0x40, 0x55, 0x55, 0x55, 0x00, 0x00, 0x00, 
    0x40, 0x55, 0x05, 0x00, 0x00, 0x00, 0x00, 0x55, 0x15, 0x00, 0x00, 0x00, 0x50, 0x55, 0x55, 0x15, 
    0x00, 0x00, 0x50, 0xA5, 0xAA, 0x56, 0x01, 0x00, 0x50, 0xA9, 0xAA, 0xAA, 0x15, 0x00, 0x50, 0xA9, 
    0xAA, 0xAA, 0x5A, 0x01, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x15, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x5A, 
    0x41, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0x05, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0x16, 0xA5, 0xBE, 0xAA, 
    0xAA, 0xFA, 0x6A, 0x95, 0xBE, 0xAA, 0xAA, 0xAA, 0xAF, 0x55, 0xFA, 0xAA, 0xBE, 0xAA, 0xBE, 0x56, 
    0xE9, 0xAB, 0xFA, 0xAA, 0xFA, 0x5A, 0xA5, 0xAF, 0xEA, 0xAB, 0xEA, 0x6B, 0x95, 0xFE, 0xEA, 0xBE, 
    0xEA, 0xAF, 0x55, 0xEA, 0xFF, 0xEB, 0xFF, 0xAF, 0x16, 0xA5, 0xFE, 0xAB, 0xFE, 0xAF, 0x16, 0x94, 
    0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x5A, 0x01, 0x95, 0xAA, 0xAA, 0xAA, 
    0x5A, 0x01, 0x50, 0xA9, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 0x95, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 0x50, 
    0xA5, 0xAA, 0x56, 0x01, 0x00, 0x00, 0x55, 0x55, 0x55, 0x01, 0x00, 0x00, 0x00, 0x55, 0x15, 0x00, 
    0x00, 0x00, 0x00, 0x54, 0x55, 0x00, 0x00, 0x00, 0x40, 0x55, 0x55, 0x55, 0x00, 0x00, 0x40, 0x95, 
    0xAA, 0x5A, 0x05, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 0x56, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 0x6A, 0x05, 
    0x40, 0xA5, 0xAA, 0xAA, 0xAA, 0x56, 0x40, 0xA5, 0xAA, 0xEA, 0xAF, 0x6A, 0x05, 0xA5, 0xAA, 0xEA, 
    0xBF, 0xAA, 0x16, 0x94, 0xAA, 0xEA, 0xFB, 0xAA, 0x5A, 0x94, 0xAA, 0xEA, 0xEB, 0xAB, 0xAA, 0x55, 
    0xAA, 0xFA, 0xAB, 0xAF, 0xAA, 0x56, 0xA9, 0xFA, 0xAB, 0xBE, 0xAA, 0x5A, 0xA5, 0xFA, 0xFF, 0xFF, 
    0xFF, 0x6A, 0x95, 0xFA, 0xFF, 0xFF, 0xFF, 0xAB, 0x55, 0xAA, 0xAA, 0xAA, 0xAF, 0xAA, 0x56, 0xA9, 
    0xAA, 0xAA, 0xBE, 0xAA, 0x5A, 0x94, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x50, 0xAA, 0xAA, 0xAA, 0xAA, 
    0x6A, 0x41, 0xA5, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x54, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x40, 0xA5, 
    0xAA, 0xAA, 0x6A, 0x05, 0x00, 0x54, 0xAA, 0xAA, 0x6A, 0x05, 0x00, 0x40, 0x95, 0xAA, 0x5A, 0x05, 
    0x00, 0x00, 0x54, 0x55, 0x55, 0x05, 0x00, 0x00, 0x00, 0x54, 0x55, 0x00, 0x00, 0x00, 0x00, 0x50, 
    0x55, 0x01, 0x00, 0x00, 0x00, 0x55, 0x55, 0x55, 0x01, 0x00, 0x00, 0x55, 0xAA, 0x6A, 0x15, 0x00, 
    0x00, 0x95, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 0x95, 0xAA, 0xAA, 
    0xAA, 0x5A, 0x01, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0x15, 0x94, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x50, 
    0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x51, 0xFA, 0xFF, 0xAF, 0xAA, 0xAF, 0x56, 0xE9, 0xFF, 0xBF, 0xAA, 
    0xBE, 0x5A, 0xA5, 0xAF, 0xFA, 0xAA, 0xFA, 0x6A, 0x95, 0xBE, 0xEA, 0xAB, 0xEA, 0xAB, 0x55, 0xFA, 
    0xAA, 0xBF, 0xAA, 0xAF, 0x56, 0xE9, 0xAB, 0xFA, 0xAA, 0xAF, 0x5A, 0xA5, 0xAF, 0xEA, 0xFF, 0xBF, 
    0x6A, 0x51, 0xBE, 0xAA, 0xFA, 0xBF, 0x6A, 0x41, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0x05, 0x95, 0xAA, 
    0xAA, 0xAA, 0xAA, 0x15, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 0x15, 
    0x00, 0x50, 0xA9, 0xAA, 0xAA, 0x15, 0x00, 0x00, 0x55, 0xAA, 0x6A, 0x15, 0x00, 0x00, 0x50, 0x55, 
    0x55, 0x15, 0x00, 0x00, 0x00, 0x50, 0x55, 0x01, 0x00, 0x00, 0x00, 0x40, 0x55, 0x05, 0x00, 0x00, 
    0x00, 0x54, 0x55, 0x55, 0x05, 0x00, 0x00, 0x54, 0xA9, 0xAA, 0x55, 0x00, 0x00, 0x54, 0xAA, 0xAA, 
    0x6A, 0x05, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x54, 
    0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0x50, 0xAA, 0xFA, 0xFF, 0xAF, 0x6A, 0x41, 0xA9, 0xFF, 0xFF, 0xFF, 
    0xAB, 0x45, 0xA9, 0xFF, 0xEA, 0xEB, 0xBF, 0x5A, 0xA5, 0xBE, 0xEA, 0xAB, 0xFA, 0x6B, 0x95, 0xBE, 
    0xEA, 0xAB, 0xAA, 0xAF, 0x55, 0xFA, 0xAA, 0xAF, 0xAA, 0xBE, 0x56, 0xE9, 0xAB, 0xBE, 0xAA, 0xFA, 
    0x5A, 0xA5, 0xAF, 0xFA, 0xAB, 0xFA, 0x6A, 0x95, 0xFA, 0xAA, 0xFF, 0xFF, 0xAA, 0x45, 0xA9, 0xAA, 
    0xEA, 0xFF, 0xAA, 0x05, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0x16, 0x54, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 
    0x40, 0xA5, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x40, 0xA5, 0xAA, 
    0xAA, 0x56, 0x00, 0x00, 0x54, 0xA9, 0xAA, 0x55, 0x00, 0x00, 0x40, 0x55, 0x55, 0x55, 0x00, 0x00, 
    0x00, 0x40, 0x55, 0x05, 0x00, 0x00, 0x00, 0x00, 0x55, 0x15, 0x00, 0x00, 0x00, 0x50, 0x55, 0x55, 
    0x15, 0x00, 0x00, 0x50, 0xA5, 0xAA, 0x56, 0x01, 0x00, 0x50, 0xA9, 0xAA, 0xAA, 0x15, 0x00, 0x50, 
    0xA9, 0xAA, 0xAA, 0x5A, 0x01, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x15, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 
    0x5A, 0x41, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0x05, 0xA5, 0xBE, 0xAA, 0xAA, 0xAA, 0x16, 0xA5, 0xFA, 
    0xAA, 0xAA, 0xEA, 0x6B, 0x95, 0xEA, 0xAB, 0xAA, 0xFE, 0xAF, 0x55, 0xAA, 0xAF, 0xAA, 0xFF, 0xAB, 
    0x56, 0xA9, 0xBE, 0xAA, 0xBF, 0xAA, 0x5A, 0xA5, 0xFA, 0xEA, 0xAF, 0xAA, 0x6A, 0x95, 0xEA, 0xFB, 
    0xAB, 0xAA, 0xAA, 0x55, 0xAA, 0xFF, 0xAA, 0xAA, 0xAA, 0x16, 0xA5, 0xFE, 0xAA, 0xAA, 0xAA, 0x16, 
    0x94, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x5A, 0x01, 0x95, 0xAA, 0xAA, 
    0xAA, 0x5A, 0x01, 0x50, 0xA9, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 0x95, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 
    0x50, 0xA5, 0xAA, 0x56, 0x01, 0x00, 0x00, 0x55, 0x55, 0x55, 0x01, 0x00, 0x00, 0x00, 0x55, 0x15, 
    0x00, 0x00, 0x00, 0x00, 0x54, 0x55, 0x00, 0x00, 0x00, 0x40, 0x55, 0x55, 0x55, 0x00, 0x00, 0x40, 
    0x95, 0xAA, 0x5A, 0x05, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 0x56, 0x00, 0x40, 0xA5, 0xAA, 0xAA, 0x6A, 
    0x05, 0x40, 0xA5, 0xAA, 0xAA, 0xAA, 0x56, 0x40, 0xA5, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0xA5, 0xAA, 
    0xAA, 0xAA, 0xAA, 0x16, 0x94, 0xAA, 0xAA, 0xFA, 0xBF, 0x5A, 0x94, 0xEA, 0xBF, 0xFA, 0xFF, 0xAB, 
    0x55, 0xEA, 0xFF, 0xFF, 0xAA, 0xBF, 0x56, 0xE9, 0xAB, 0xFE, 0xAA, 0xFA, 0x5A, 0xA5, 0xAF, 0xEA, 
    0xAB, 0xEA, 0x6B, 0x95, 0xBE, 0xEA, 0xBF, 0xAA, 0xAF, 0x55, 0xFA, 0xFF, 0xFB, 0xAB, 0xBF, 0x56, 
    0xA9, 0xFE, 0xAB, 0xFF, 0xBF, 0x5A, 0x94, 0xAA, 0xAA, 0xFA, 0xBF, 0x5A, 0x50, 0xAA, 0xAA, 0xAA, 
    0xAA, 0x6A, 0x41, 0xA5, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x54, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x40, 
    0xA5, 0xAA, 0xAA, 0x6A, 0x05, 0x00, 0x54, 0xAA, 0xAA, 0x6A, 0x05, 0x00, 0x40, 0x95, 0xAA, 0x5A, 
    0x05, 0x00, 0x00, 0x54, 0x55, 0x55, 0x05, 0x00, 0x00, 0x00, 0x54, 0x55, 0x00, 0x00, 0x00, 0x00, 
    0x50, 0x55, 0x01, 0x00, 0x00, 0x00, 0x55, 0x55, 0x55, 0x01, 0x00, 0x00, 0x55, 0xAA, 0x6A, 0x15, 
    0x00, 0x00, 0x95, 0xAA, 0xAA, 0x5A, 0x01, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 0x95, 0xAA, 
    0xAA, 0xAA, 0x5A, 0x01, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0x15, 0x94, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 
    0x50, 0xAA, 0xFF, 0xAB, 0xAA, 0x6A, 0x51, 0xEA, 0xFF, 0xFF, 0xAA, 0xAF, 0x56, 0xA9, 0xAF, 0xEA, 
    0xAF, 0xFA, 0x5A, 0xA5, 0xAF, 0xAA, 0xBE, 0xEA, 0x6B, 0x95, 0xBE, 0xAA, 0xFA, 0xAA, 0xAF, 0x55, 
    0xFA, 0xAA, 0xEA, 0xAB, 0xBE, 0x56, 0xE9, 0xAF, 0xEA, 0xAB, 0xBE, 0x5A, 0xA5, 0xFE, 0xEB, 0xEB, 
    0xFF, 0x6A, 0x51, 0xEA, 0xFF, 0xFF, 0xBF, 0x6A, 0x41, 0xA9, 0xFA, 0xFF, 0xAF, 0xAA, 0x05, 0x95, 
    0xAA, 0xAA, 0xAA, 0xAA, 0x15, 0x50, 0xA9, 0xAA, 0xAA, 0xAA, 0x15, 0x00, 0x95, 0xAA, 0xAA, 0xAA, 
    0x15, 0x00, 0x50, 0xA9, 0xAA, 0xAA, 0x15, 0x00, 0x00, 0x55, 0xAA, 0x6A, 0x15, 0x00, 0x00, 0x50, 
    0x55, 0x55, 0x15, 0x00, 0x00, 0x00, 0x50, 0x55, 0x01, 0x00, 0x00, 0x00, 0x40, 0x55, 0x05, 0x00, 
    0x00, 0x00, 0x54, 0x55, 0x55, 0x05, 0x00, 0x00, 0x54, 0xA9, 0xAA, 0x55, 0x00, 0x00, 0x54, 0xAA, 
    0xAA, 0x6A, 0x05, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x6A, 0x05, 
    0x54, 0xAE, 0xAA, 0xAA, 0xAA, 0x56, 0x50, 0xBA, 0xAA, 0xAA, 0xAA, 0x6A, 0x41, 0xF9, 0xFF, 0xFF, 
    0xFF, 0xAF, 0x45, 0xE9, 0xFF, 0xFF, 0xFF, 0xBF, 0x5A, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x95, 
    0xAA, 0xFE, 0xFF, 0xAF, 0xAA, 0x55, 0xAA, 0xFF, 0xFF, 0xFF, 0xAB, 0x56, 0xA9, 0xBF, 0xAA, 0xAA, 
    0xBF, 0x5A, 0xA5, 0xAF, 0xAA, 0xAA, 0xEA, 0x6B, 0x95, 0xBE, 0xAA, 0xAA, 0xAA, 0xAF, 0x45, 0xF9, 
    0xAA, 0xAA, 0xAA, 0xBE, 0x05, 0xA5, 0xBF, 0xAA, 0xAA, 0xBF, 0x16, 0x54, 0xFA, 0xFF, 0xFF, 0xBF, 
    0x56, 0x40, 0xA5, 0xFE, 0xFF, 0xAF, 0x56, 0x00, 0x54, 0xAA, 0xAA, 0xAA, 0x56, 0x00, 0x40, 0xA5, 
    0xAA, 0xAA, 0x56, 0x00, 0x00, 0x54, 0xA9, 0xAA, 0x55, 0x00, 0x00, 0x40, 0x55, 0x55, 0x55, 0x00, 
    0x00, 0x00, 0x40, 0x55, 0x05, 0x00, 0x00, 0x00
};

#endif

