#include <inttypes.h>
#include <stdlib.h>
#include "glcd.h"

#include "f8x11.h"
#include "f15x22.h"
#include "nums.h"
#include "eye.h"

uint8_t rnd(void) {

    uint8_t data = rand();

    if (data > SCREEN_WIDTH) {data -= SCREEN_WIDTH;}
    return(data);
}

void glcdDisplayTestScrolling(uint8_t iteration) {
// testet vertikales scrollen

#define TOP_ROWS    16
#define BOTTOM_ROWS 14
#define MIDDLE_ROWS SCREEN_HEIGHT - TOP_ROWS - BOTTOM_ROWS
#define DIR_LINES   3

    uint8_t saveMemCtrl = glcd_MemCtrl;
    glcdCoord_t y = 0, z = MIDDLE_ROWS - 2;
    int8_t dir = 0;
    uint8_t i;

    glcdColor_t c[5] = {RED, BLUE, GREEN, MAGENTA, CYAN};
    glcdCoord_t x[5] = {10, 30, 50, 70, 90};    // fnf verschiedenfarbige linien
    glcdCoord_t r[5] = {0, 0, 0, 0, 0};
    glcdCoord_t m[5];


  // initiaisiere Window
  // wir bentigen Standard Ausrichtung des Screens
    glcdSetOrientation(0);
  // wir bentigen alle 132 Lines
    glcdSetRect(glcd_Clip, 0, 0, SCREEN_WIDTH, SCREEN_HEIGHT);
  // aktiviere Scrolling
    glcdDisplayCommand(SCROLL_DEFINITON);
    glcdDisplayData(TOP_ROWS);
    glcdDisplayData(MIDDLE_ROWS);
    glcdDisplayData(BOTTOM_ROWS);
    glcdDisplayCommand(SET_SCROLL);
    glcdDisplayData(y + TOP_ROWS);

    glcdFillRect(0, 0, SCREEN_RIGHT, TOP_ROWS -2, GOLD);
    glcdSelectFont(f8x11, glcdFontRead);
    glcdSetColors(BLACK, GOLD);
    glcdMoveTo((SCREEN_WIDTH - glcdCharsWidth("Scrolling Window Test")) / 2, 3);
    glcdPrint("Scrolling Window Test");
    glcdLine(0, TOP_ROWS -1, SCREEN_RIGHT, TOP_ROWS -1);

    glcdFillRect(SCREEN_LEFT, TOP_ROWS + MIDDLE_ROWS, SCREEN_RIGHT, SCREEN_HEIGHT, SILVER);
    glcdLine(0, TOP_ROWS + MIDDLE_ROWS, SCREEN_RIGHT, TOP_ROWS + MIDDLE_ROWS);
    glcdSetColors(RED, SILVER);
    glcdMoveTo(4, TOP_ROWS + MIDDLE_ROWS +3);
    glcdPrint("HaReddmann@T-Online.de");
    glcdFillRect(0, TOP_ROWS, SCREEN_WIDTH, TOP_ROWS + MIDDLE_ROWS -1, SCREEN_COLOR);

    while (iteration > 0) {
    // gitter zeichnen und buffer zeile lschen, diese zeile ist unsichtbar auf dem display
      glcdFillRect(0, z + TOP_ROWS, SCREEN_WIDTH, z + TOP_ROWS, SCREEN_COLOR);
      if ((z % 2) == 0) {
        for (i = 0; i < SCREEN_RIGHT; i = i +10) {
          glcdSetPixel(i, z + TOP_ROWS, GRAY);
        }
      }
    // 5 linienverkufe berchnen und zeichnen
      for (i = 0; i < sizeof x; i++) {

        if (r[i] == 0) {
          r[i] = rand() % (i * 2 + 3);
          m[i] = rand() % 3;
        } else {
          r[i]--;
          if (m[i] == 2) {
            x[i]--;
            if (x[i] == 0) {
              x[i] = 1;
            }
          } else {
            if (m[i] == 1) {
              x[i]++;
              if (x[i] > SCREEN_RIGHT) {
                x[i] = SCREEN_RIGHT;
              }
            }
          }
        }
        glcdSetFgColor(c[i]);
        glcdLine(x[i] -1, z + TOP_ROWS, x[i] +1, z + TOP_ROWS);
      }
    // scrollen
      glcdDisplayCommand(SET_SCROLL);
      glcdDisplayData(y + TOP_ROWS);
    // warten
      glcdWait(iteration * 8);
    // Scrollrichtung und Pixelzeiger aktualisieren
      if (dir > 0) {
        y++;
        if (y >= MIDDLE_ROWS) {
       	  y = 0;
       	  dir--;
        }
        z++;
        if (z >= MIDDLE_ROWS) {z = 0;}
      } else {
        if (z == 0) {
          z = MIDDLE_ROWS -1;
        } else {z--;}
        if (y == 0) {
         y = MIDDLE_ROWS -1;
         dir--;
        } else {y--;}
      }
      if (dir <= -DIR_LINES * 2) {
        dir = -dir;
        iteration--;
      }
    }
  // restauriere Fenster, hier sollte das Kommand NORMAL_MODE_ON laut Datenblatt alles wieder
  // ordentlich herstellen, theoretisch korrekt aber praktisch falsch und wirkungslos !!
    glcdDisplayCommand(SCROLL_DEFINITON);
    glcdDisplayData(0);
    glcdDisplayData(SCREEN_BOTTOM - SCREEN_TOP);
    glcdDisplayData(0);
    glcdDisplayCommand(SET_SCROLL);
    glcdDisplayData(0);

    glcdDisplayCommand(MEM_CONTROL);
    glcd_MemCtrl = saveMemCtrl;
    glcdDisplayData(glcd_MemCtrl);

    glcdSetRect(glcd_Clip, SCREEN_LEFT, SCREEN_TOP, SCREEN_WIDTH, SCREEN_HEIGHT);
}

void glcdDisplayTestLines(uint8_t iteration) {

    glcdSelectFont(nums, glcdFontRead);
    for (uint8_t i = 0; i < iteration; i++) {
      glcdClearScreen();
      glcdSetColor(0, SCREEN_COLOR);
      glcdSetColor(1, BLACK);
      glcdSetColor(2, GOLD);
      glcdSetColor(3, RED);
      glcdMoveTo((SCREEN_RIGHT - glcd_FontWidth) / 2, (SCREEN_BOTTOM - glcd_FontHeight) / 2);
      glcdDrawChar(0x20 + i % 11);
      for (glcdCoord_t x = SCREEN_LEFT; x < SCREEN_WIDTH; x++) {
        glcdSetFgColor(YELLOW);
        glcdLine(x, SCREEN_TOP, x, SCREEN_BOTTOM);
        glcdSetFgColor(GREEN);
        glcdLine(SCREEN_WIDTH - x, SCREEN_TOP, SCREEN_WIDTH - x, SCREEN_BOTTOM);
        glcdSetFgColor(BLUE);
        glcdLine(SCREEN_LEFT, SCREEN_TOP, x, SCREEN_BOTTOM);
        glcdSetFgColor(RED);
        glcdLine(SCREEN_RIGHT, SCREEN_BOTTOM, SCREEN_WIDTH - x, SCREEN_TOP);
      }
    }
}

void glcdDisplayTestLines2(uint8_t iteration) {

    for (uint8_t i = 0; i < iteration; i++) {
      glcdClearScreen();
      for (uint8_t j = 0; j < 255; j++) {
        glcdSetFgColor(rand());
        glcdLine(rnd(), rnd(), rnd(), rnd());
      }
    }
}

void glcdDisplayTestRects(uint8_t iteration) {

    for (; iteration > 0; iteration--) {
      glcdClearScreen();
      for (uint8_t i = 0; i < 255; i++) {
        glcdSetColors(rand(), rand());
        glcdRectangle(rnd(), rnd(), rnd(), rnd());
      }
    }
}

void glcdDisplayTestEllipses(uint8_t iteration) {

    for (; iteration > 0; iteration--) {
      glcdClearScreen();
      for (uint8_t i = 0; i < 255; i++) {
        glcdSetColors(rand(), rand());
        glcdEllipse(rnd(), rnd(), rnd() & 0x3F, rnd() & 0x3F);
      }
    }
}

void glcdDisplayTestSymbols(uint8_t iteration) {

    uint8_t saveMemCtrl = glcd_MemCtrl;
    glcdSelectFont(nums, glcdFontRead);
    for (; iteration > 0; iteration--) {
      glcdClearScreen();
      glcdSetBkColor(NONE);
      for (uint8_t i = 0; i < 255; i++) {
        glcdSetOrientation(rand());
        glcdSetColor(1, rand());
        glcdSetColor(2, rand());
        glcdSetColor(3, rand());
        glcdMoveTo(rnd(), rnd());
        glcdDrawChar(rand() % 11 + 32);
      }
    }
    glcdDisplayCommand(MEM_CONTROL);
    glcd_MemCtrl = saveMemCtrl;
    glcdDisplayData(glcd_MemCtrl);
}

void glcdDisplayTestEye(void) {

    uint8_t k = (rand() % 3) + 1;
    glcdSelectFont(eye, glcdFontRead);
    glcdSetColor(0, NONE);
    glcdSetColor(1, rand());
    glcdSetColor(2, rand());
    glcdSetColor(3, rand());
    glcdSetColor(1 + (k +1) % 3, NONE);
    for (uint8_t i = 0; i < 64; i++) {
      glcdSetColor(k, rand());
      glcdMoveTo((SCREEN_RIGHT - glcd_FontWidth) / 2, (SCREEN_BOTTOM - glcd_FontHeight) / 2);
      glcdDrawChar(0x20);
    }
}


void glcdPrintHEX(uint32_t data) {

   glcd_Cursor.X = glcd_Window.X2;

   uint8_t c;
   for (uint8_t i = 0; i < 8; i++) {
     c = (data & 0x0F) + '0';
     if (c > '9') {c += 'a' - '9' -1;}
     data = data >> 4;
     glcd_Cursor.X -= glcdCharWidth(c);
     glcd_Cursor.X -= glcdDrawChar(c);
   }
   glcdNewLine();
}

void glcdDisplayTestRead(void) {

   glcdClearScreen();
   glcdSelectFont(f15x22, glcdFontRead);
   glcdSetColors(BLACK, SCREEN_COLOR);
   glcdSetRect(glcd_Window, 2, 2, SCREEN_RIGHT -1, SCREEN_BOTTOM -1);
   glcdMoveTo(glcd_Window.X1, glcd_Window.Y1);

   glcdPrint("Status:");
   glcdDisplayCommand(DISPLAY_STATUS);
   glcdPrintHEX(glcdDisplayRead(33));

   glcdPrint("Temp:");
   glcdDisplayCommand(0xC8);
   glcdPrintHEX(glcdDisplayRead(33));

   glcdPrint("Ident:");
   glcdDisplayCommand(DISPLAY_INFO);
   glcdPrintHEX(glcdDisplayRead(25));

   uint32_t d;
   glcdDisplayCommand(0xDA);
   d = glcdDisplayRead(8) << 24;
   glcdDisplayCommand(0xDB);
   d |= glcdDisplayRead(8) << 16;
   glcdDisplayCommand(0xDC);
   d |= glcdDisplayRead(8) << 8;
   glcdPrint("Read:");
   glcdPrintHEX(d);

   glcdWait(2000);
}

void glcdDisplayTest(void) {

#define count  11
    rand();
    while (1) {
      glcdSetOrientation(rand());
      glcdDisplayTestRead();
      glcdDisplayTestEye();
      glcdDisplayTestLines2(count);
      glcdDisplayTestEye();
      glcdDisplayTestLines(count);
      glcdDisplayTestEye();
      glcdDisplayTestRects(count / 3);
      glcdDisplayTestEye();
      glcdDisplayTestEllipses(count / 3);
      glcdDisplayTestEye();
      glcdDisplayTestSymbols(count / 3);
      glcdDisplayTestEye();
      glcdDisplayTestScrolling(count / 3);
      glcdDisplayTestEye();
    }
}


int main(void) {

	glcdDisplayInit();
	glcdDisplayTest();

	return 0;
}
